Subject: Re: [netmod] comments on draft-ietf-netmod-yang-instance-file-format-04

From: Balázs Lengyel <[email-masked]>
Date: Tue, 3 Dec 2019 12:52:58 +0000

See below: BALAZS5.

From: Andy Bierman <[email-masked]> 
Sent: 2019. november 19., kedd 1:17
To: Balázs Lengyel <[email-masked]>
Cc: Martin Bjorklund <[email-masked]>; NetMod WG <[email-masked]>
Subject: Re: [netmod] comments on draft-ietf-netmod-yang-instance-file-format-04

the following text (or similar) should be added to the description-stmt above

    This node SHOULD contain a single container instance which represents either the /yang-library 

     or /modules-state subtree.

This allows for exceptions but still provides interoperability instructions.

Andy

BALAZS4: Others (e.g., Juergen) explicitly asked for not restricting this to ietf-yang-library. 

I would be happy with your proposals, but the group decided otherwise sometime back.

A tool has to be coded to understand the contents of the anydata node.

Just parsing it is not enough.  

Is there an email thread this is discussed and resolved?

The term SHOULD allows the rule to be broken with a good reason. 

What other data structures are needed now (or soon) other than /modules-state or /yang-library?

I do not see how this file is interoperable if the reader does not know what to expect.

Flexibility without interoperability is not success.

BALAZS5:  Look at the last paragraph in the email: https://mailarchive.ietf.org/arch/msg/netmod/h-gT2jg5Z5aREXTD-E7Yx6oi7PE

Also I foresee there might be (there will be)  YANG modules that augment yang-library  with information needed here. 

I am thinking about yang-versioning that plans to add the version-label, which will help determining which versions of the of the YANG module are compatible with the originally used schema defining modules.

I do not see how augment is relevant to this interoperability issue.

Andy

BALAZS5: The use case in mind is that  <https://tools.ietf.org/html/draft-verdt-netmod-yang-module-versioning-01#section-5.2> https://tools.ietf.org/html/draft-verdt-netmod-yang-module-versioning-01#section-5.2 augments the revision-label into YANG-library. Revision-label can be used by the operator to understand which version of the YANG Module (YAM) we are using, and what other versions are compatible with it. This compatibility information that can be used by the operator to determine if a server with a slightly updated module set can use the instance data set.